### Enumeration

# GLib ErrorType

since: 2.0

#### Declaration

    enum GLib.ErrorType

#### Description

The possible errors, used in the `v_error` field of `GTokenValue`, when the token is a `G_TOKEN_ERROR`.

Available since: 2.0

#### Members

`G_ERR_UNKNOWN`

  Unknown error.

  - Value: `0`
  - Nickname: `None`
  - Available since: 2.0
`G_ERR_UNEXP_EOF`

  Unexpected end of file.

  - Value: `1`
  - Nickname: `None`
  - Available since: 2.0
`G_ERR_UNEXP_EOF_IN_STRING`

  Unterminated string constant.

  - Value: `2`
  - Nickname: `None`
  - Available since: 2.0
`G_ERR_UNEXP_EOF_IN_COMMENT`

  Unterminated comment.

  - Value: `3`
  - Nickname: `None`
  - Available since: 2.0
`G_ERR_NON_DIGIT_IN_CONST`

  Non-digit character in a number.

  - Value: `4`
  - Nickname: `None`
  - Available since: 2.0
`G_ERR_DIGIT_RADIX`

  Digit beyond radix in a number.

  - Value: `5`
  - Nickname: `None`
  - Available since: 2.0
`G_ERR_FLOAT_RADIX`

  Non-decimal floating point number.

  - Value: `6`
  - Nickname: `None`
  - Available since: 2.0
`G_ERR_FLOAT_MALFORMED`

  Malformed floating point number.

  - Value: `7`
  - Nickname: `None`
  - Available since: 2.0